import { FC } from 'react';
import { DateChangeHandler, Modifiers, ModifiersClassNames, NullableDateChangeHandler } from '../../../index';
interface CalendarDayProps {
    locale: Locale;
    day: Date;
    modifiers?: Modifiers;
    modifiersClassNames?: ModifiersClassNames;
    onClick: DateChangeHandler;
    onHover: NullableDateChangeHandler;
}
declare const CalendarDay: FC<CalendarDayProps>;
export default CalendarDay;
