import { FC } from 'react';
import { CalendarModifiers, CalendarModifiersClassNames, CalendarType, DateChangeHandler, NullableDateChangeHandler } from '../../index';
export interface CalendarProps {
    locale: Locale;
    type?: CalendarType;
    month?: Date | null;
    minDate?: Date;
    maxDate?: Date;
    modifiers?: CalendarModifiers;
    modifiersClassNames?: CalendarModifiersClassNames;
    className?: string;
    onMonthChange?: DateChangeHandler;
    onSelect?: DateChangeHandler;
    onHover?: NullableDateChangeHandler;
}
declare const Calendar: FC<CalendarProps>;
export default Calendar;
