import { FC } from 'react';
import { DateChangeHandler, Modifiers, ModifiersClassNames, NullableDateChangeHandler } from '../../../index';
interface CalendarDayGridProps {
    locale: Locale;
    month: Date;
    modifiers?: Modifiers;
    modifiersClassNames?: ModifiersClassNames;
    onSelect: DateChangeHandler;
    onHover: NullableDateChangeHandler;
}
declare const CalendarDayGrid: FC<CalendarDayGridProps>;
export default CalendarDayGrid;
