import { FC } from 'react';
import { CalendarModifiers, CalendarModifiersClassNames, CalendarType, DateChangeHandler } from '../../index';
export interface DatePickerCalendarProps {
    locale: Locale;
    type?: CalendarType;
    date?: Date | null;
    month?: Date | null;
    minDate?: Date;
    maxDate?: Date;
    modifiers?: CalendarModifiers;
    modifiersClassNames?: CalendarModifiersClassNames;
    className?: string;
    onDateChange?: DateChangeHandler;
    onMonthChange?: DateChangeHandler;
}
declare const DatePickerCalendar: FC<DatePickerCalendarProps>;
export default DatePickerCalendar;
