import { FC } from 'react';
import { DateChangeHandler, DateRangeInputType, Modifiers, ModifiersClassNames, NullableDateChangeHandler } from '../../index';
export interface DateRangePickerCalendarProps {
    locale: Locale;
    focus: DateRangeInputType;
    startDate?: Date | null;
    endDate?: Date | null;
    month?: Date | null;
    minDate?: Date;
    maxDate?: Date;
    minLength?: number;
    maxLength?: number;
    modifiers?: Modifiers;
    modifiersClassNames?: ModifiersClassNames;
    className?: string;
    onStartDateChange?: NullableDateChangeHandler;
    onEndDateChange?: NullableDateChangeHandler;
    onFocusChange: (focus: DateRangeInputType | null) => void;
    onMonthChange?: DateChangeHandler;
}
declare const DateRangePickerCalendar: FC<DateRangePickerCalendarProps>;
export default DateRangePickerCalendar;
