import React, { ReactNode } from 'react';
export interface PopperProps {
    isOpen: boolean;
    referenceElement: HTMLElement | null;
    popperElement: HTMLElement | null;
    portalContainer?: Element;
    offset?: [number, number];
    className?: string;
    children?: ReactNode;
}
declare const Popper: React.ForwardRefExoticComponent<PopperProps & React.RefAttributes<HTMLDivElement>>;
export default Popper;
